Energia

## equals()

#### Description

Compares two strings for equality. The comparison is case-sensitive, meaning the String "hello" is not equal to the String "HELLO".

#### Syntax

string.equals(string2)

#### Parameters

string, string2: variables of type String

#### Returns

true: if string equals string2
false: otherwise

#### Example

- StringComparisonOperators

#### See also

- equalsIgnoreCase()
- compareTo()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia Reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes